package com.wd.workoffice.bean.mesBean;

import com.wd.workoffice.app.BaseMesPageBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class TakeOnBean extends BaseMesPageBean {

    private List<ListBean> list;


    public List<ListBean> getList() {
        return list;
    }

    public void setList(List<ListBean> list) {
        this.list = list;
    }


    public static class ListBean {
        /**
         * id : ab883735794211ea8334fa163e1166bd
         * createDateTime : 1586313784000
         * updateDateTime : null
         * userCode : BM003
         * name : 测试部门3
         * sex : null
         * email : null
         * mobile : null
         * tel : null
         * status : 1
         * siteId : 1c37c889ffa211e98334fa163e1166bd
         * siteCode : ZWLT
         * siteDesc : 铝碳厂
         * orgId : 5ac6962d9ed911e8b81100163e049447
         * orgCode : 00001
         * orgDesc : 正望集团
         * employmentDate : null
         * expiryDate : null
         * birthday : null
         * address : null
         * remarks : null
         * createBy : null
         * loginName : null
         * createByName : hello
         * delete : null
         */

        private String id;
        private long createDateTime;
        private Object updateDateTime;
        private String userCode;
        private String name;
        private Object sex;
        private Object email;
        private Object mobile;
        private Object tel;
        private int status;
        private String siteId;
        private String siteCode;
        private String siteDesc;
        private String orgId;
        private String orgCode;
        private String orgDesc;
        private Object employmentDate;
        private Object expiryDate;
        private Object birthday;
        private Object address;
        private Object remarks;
        private Object createBy;
        private Object loginName;
        private String createByName;
        private Object delete;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public long getCreateDateTime() {
            return createDateTime;
        }

        public void setCreateDateTime(long createDateTime) {
            this.createDateTime = createDateTime;
        }

        public Object getUpdateDateTime() {
            return updateDateTime;
        }

        public void setUpdateDateTime(Object updateDateTime) {
            this.updateDateTime = updateDateTime;
        }

        public String getUserCode() {
            return userCode;
        }

        public void setUserCode(String userCode) {
            this.userCode = userCode;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public Object getSex() {
            return sex;
        }

        public void setSex(Object sex) {
            this.sex = sex;
        }

        public Object getEmail() {
            return email;
        }

        public void setEmail(Object email) {
            this.email = email;
        }

        public Object getMobile() {
            return mobile;
        }

        public void setMobile(Object mobile) {
            this.mobile = mobile;
        }

        public Object getTel() {
            return tel;
        }

        public void setTel(Object tel) {
            this.tel = tel;
        }

        public int getStatus() {
            return status;
        }

        public void setStatus(int status) {
            this.status = status;
        }

        public String getSiteId() {
            return siteId;
        }

        public void setSiteId(String siteId) {
            this.siteId = siteId;
        }

        public String getSiteCode() {
            return siteCode;
        }

        public void setSiteCode(String siteCode) {
            this.siteCode = siteCode;
        }

        public String getSiteDesc() {
            return siteDesc;
        }

        public void setSiteDesc(String siteDesc) {
            this.siteDesc = siteDesc;
        }

        public String getOrgId() {
            return orgId;
        }

        public void setOrgId(String orgId) {
            this.orgId = orgId;
        }

        public String getOrgCode() {
            return orgCode;
        }

        public void setOrgCode(String orgCode) {
            this.orgCode = orgCode;
        }

        public String getOrgDesc() {
            return orgDesc;
        }

        public void setOrgDesc(String orgDesc) {
            this.orgDesc = orgDesc;
        }

        public Object getEmploymentDate() {
            return employmentDate;
        }

        public void setEmploymentDate(Object employmentDate) {
            this.employmentDate = employmentDate;
        }

        public Object getExpiryDate() {
            return expiryDate;
        }

        public void setExpiryDate(Object expiryDate) {
            this.expiryDate = expiryDate;
        }

        public Object getBirthday() {
            return birthday;
        }

        public void setBirthday(Object birthday) {
            this.birthday = birthday;
        }

        public Object getAddress() {
            return address;
        }

        public void setAddress(Object address) {
            this.address = address;
        }

        public Object getRemarks() {
            return remarks;
        }

        public void setRemarks(Object remarks) {
            this.remarks = remarks;
        }

        public Object getCreateBy() {
            return createBy;
        }

        public void setCreateBy(Object createBy) {
            this.createBy = createBy;
        }

        public Object getLoginName() {
            return loginName;
        }

        public void setLoginName(Object loginName) {
            this.loginName = loginName;
        }

        public String getCreateByName() {
            return createByName;
        }

        public void setCreateByName(String createByName) {
            this.createByName = createByName;
        }

        public Object getDelete() {
            return delete;
        }

        public void setDelete(Object delete) {
            this.delete = delete;
        }
    }
}
